Puesto Labs
IntroductionAuthenticationPagination & sortingSyncing with the changes feedErrorsRate limitsBuilding with AI

Here you can add a description about your company or product

© Copyright 2026 Puesto Labs. All Rights Reserved.

About
  • Blog
  • Contact
Product
  • Documentation
  • llms.txt
Legal
  • Terms of Service
  • Privacy Policy
  • Cookie Policy
Puesto Docs

List states

GET
/api/v1/locations/states

List the states / admin-1 regions of a country available as state filter values. Each code (e.g. US-CA) is the exact value the jobs state filter accepts; the bare admin1_code (e.g. CA) also works when a country filter is supplied (it is auto-scoped to that country). Rows share the kind / code / population vocabulary of GET /locations/search. For type-ahead across every kind of place at once, use GET /locations/search.

Authorization

bearerAuth
AuthorizationBearer <token>

Provide your secret API key (prefixed sk_) as a bearer token: Authorization: Bearer sk_....

In: header

Query Parameters

country*string

ISO 3166-1 alpha-2 country code to list regions for (2 letters, case-insensitive).

Length2 <= length <= 2

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/api/v1/locations/states?country=st"
{  "data": [    {      "kind": "state",      "code": "string",      "admin1_code": "string",      "name": "string",      "slug": "string",      "population": 0    }  ]}
{  "type": "string",  "title": "string",  "status": 0,  "detail": "string",  "errors": [    {      "field": "string",      "message": "string"    }  ]}
{  "type": "string",  "title": "string",  "status": 0,  "detail": "string",  "errors": [    {      "field": "string",      "message": "string"    }  ]}
{  "type": "string",  "title": "string",  "status": 0,  "detail": "string",  "errors": [    {      "field": "string",      "message": "string"    }  ]}